from gcs_cli.helpers import record_print_result_message, requires_login
from gcs_cli.parsing import collection_id_arg, globus_command
from gcs_cli.services.gcs import get_client


@globus_command(
    "delete",
    short_help="Delete the custom domain used by a collection",
    disable_options=["format"],
)
@collection_id_arg
@requires_login
def domain_delete(collection_id):
    """
    Delete the custom domain being used by this collection. This will result in
    the collection reverting to the default collection subdomain for the
    endpoint.  If the custom domain was a wildcard domain, then guest
    collections which did not have a custom domain will also be reverted to
    subdomains of that domain.
    """
    client = get_client()

    res = client.delete_collection_domain(collection_id)
    record_print_result_message(res)
