from gcs_cli.helpers import record_print_result_message, requires_login
from gcs_cli.parsing import globus_command
from gcs_cli.services.gcs import get_client


@globus_command(
    "delete",
    short_help="Delete the custom domain used by an endpoint",
    disable_options=["format"],
)
@requires_login
def domain_delete():
    """
    Delete the custom domain being used by this endpoint. This will result in the
    endpoint reverting to a data.globus.org domain. If the custom domain was a
    wildcard domain, then collections which did not have a custom domain
    will also be reverted to subdomains of that domain.
    """
    client = get_client()

    res = client.delete_endpoint_domain()
    record_print_result_message(res)
