from gcs_cli.helpers import requires_login
from gcs_cli.parsing import globus_command, node_id_arg
from gcs_cli.prettyprint import FORMAT_TEXT_RECORD, formatted_print
from gcs_cli.services.gcs import get_client


def format_ip_addresses(node):
    return ", ".join(node["ip_addresses"])


@globus_command("show", short_help="Display the state of a Node")
@node_id_arg
@requires_login
def node_show(node_id):
    """
    Show a Node on the current Endpoint
    """
    client = get_client()
    res = client.get_node(node_id)
    formatted_print(
        res,
        text_format=FORMAT_TEXT_RECORD,
        fields=[
            ("ID", "id"),
            ("IP Addresses", format_ip_addresses),
            ("Status", "status"),
        ],
    )
