from globus_sdk import AuthClient, RefreshTokenAuthorizer

from gcs_cli import version
from gcs_cli.config import internal_auth_client, token_storage_adapter


def get_client():
    adapter = token_storage_adapter()
    token_data = adapter.get_token_data("auth.globus.org")
    authorizer = None

    # if there's token data, use it to build the authorizer
    if token_data is not None:
        authorizer = RefreshTokenAuthorizer(
            token_data["refresh_token"],
            internal_auth_client(),
            access_token=token_data["access_token"],
            expires_at=token_data["expires_at_seconds"],
            on_refresh=adapter.on_refresh,
        )

    return AuthClient(authorizer=authorizer, app_name=version.app_name)
