from typing import Dict

import marshmallow as ma
from marshmallow_oneofschema import OneOfSchema


class DataTypeSchema(OneOfSchema):
    type_field = "DATA_TYPE"
    type_schemas = {}  # type: Dict[str, ma.Schema]
    type_field_remove = False

    @classmethod
    def register_schema(cls, schema, DATA_TYPE=None):
        if not DATA_TYPE:
            DATA_TYPE = schema._DATA_TYPE

        cls.type_schemas[DATA_TYPE] = schema

    @classmethod
    def schema_for(cls, DATA_TYPE):
        return cls.type_schemas[DATA_TYPE]


data_type_schema = DataTypeSchema()
