import marshmallow as ma
from .data_type import DataTypeSchema


class NotFromAllowedDomainSchema(ma.Schema):
    _DATA_TYPE = "not_from_allowed_domain#1.0.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    allowed_domains = ma.fields.List(ma.fields.String)


not_from_allowed_domain_schema = NotFromAllowedDomainSchema()
DataTypeSchema.register_schema(not_from_allowed_domain_schema)
