import marshmallow as ma

from .data_type import DataTypeSchema


class SubscriptionRequiredSchema(ma.Schema):
    _DATA_TYPE = "subscription_required#1.0.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    subscription_level = ma.fields.String()
    add_ons = ma.fields.List(ma.fields.String)


subscription_required_schema = SubscriptionRequiredSchema()
DataTypeSchema.register_schema(subscription_required_schema)
