"""Initial schema

Revision ID: ffcb9848f6a8
Revises:
Create Date: 2017-01-30 10:25:29.048426

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'ffcb9848f6a8'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('configuration',
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.Column('name', sa.TEXT(), nullable=False),
    sa.Column('value', sa.TEXT(), nullable=True),
    sa.PrimaryKeyConstraint('name')
    )
    op.create_table('storage_type',
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.Column('id', sa.TEXT(), nullable=False),
    sa.Column('display_name', sa.TEXT(), nullable=False),
    sa.Column('enabled', sa.Integer(), nullable=False),
    sa.Column('credential', sa.TEXT(), nullable=True),
    sa.Column('storage_policies', sa.TEXT(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('display_name'),
    )
    op.create_index(op.f('ix_storage_type_enabled'), 'storage_type', ['enabled'], unique=False)
    op.create_table('user_credential',
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.Column('id', sa.TEXT(), nullable=False),
    sa.Column('display_name', sa.TEXT(), nullable=True),
    sa.Column('identity_id', sa.TEXT(), nullable=False),
    sa.Column('storage_credential', sa.TEXT(), nullable=True),
    sa.Column('storage_type_id', sa.TEXT(), nullable=False),
    sa.Column('storage_type_user_id', sa.TEXT(), nullable=False),
    sa.UniqueConstraint('storage_type_id', 'storage_type_user_id', 'identity_id'),
    sa.ForeignKeyConstraint(['storage_type_id'], ['storage_type.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_user_credential_identity_id'), 'user_credential', ['identity_id'], unique=False)
    op.create_index(op.f('ix_user_credential_storage_type_id'), 'user_credential', ['storage_type_id'], unique=False)
    op.create_table('collection',
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.Column('updated_at', sa.DateTime(), nullable=False),
    sa.Column('id', sa.TEXT(), nullable=False),
    sa.Column('path', sa.TEXT(), nullable=True),
    sa.Column('user_credential_id', sa.TEXT(), nullable=False),
    sa.ForeignKeyConstraint(['user_credential_id'], ['user_credential.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('collection')
    op.drop_index(op.f('ix_user_credential_storage_type_id'), table_name='user_credential')
    op.drop_index(op.f('ix_user_credential_identity_id'), table_name='user_credential')
    op.drop_table('user_credential')
    op.drop_index(op.f('ix_storage_type_enabled'), table_name='storage_type')
    op.drop_table('storage_type')
    op.drop_table('configuration')
    # ### end Alembic commands ###
